Name: libscreen_connector
Summary: Library for developing the application
Version: 1.2.5
Release: 1
Group: Applications/Core Applications
License: Apache-2.0
Source0: %{name}-%{version}.tar.gz
Source1001: %{name}_watcher.manifest
Source1002: %{name}_watcher_evas.manifest
Source1003: %{name}_provider.manifest
BuildRequires: cmake
BuildRequires: pkgconfig(dlog)
BuildRequires: pkgconfig(aul)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gio-2.0)
BuildRequires: pkgconfig(wayland-tbm-client)
BuildRequires: pkgconfig(elementary)
BuildRequires: pkgconfig(wayland-client)
BuildRequires: pkgconfig(ecore-wayland)

%description
API for creating a new instance of the widget and managing its life-cycle.

%package devel
Summary: Development Library for widget Viewer Application (dev)
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Header and package configuration files for the widget viewer development

%prep
%setup -q
cp %{SOURCE1001} .
cp %{SOURCE1002} .
cp %{SOURCE1003} .

%build
MAJORVER=`echo %{version} | awk 'BEGIN {FS="."}{print $1}'`
%cmake . -DTZ_SYS_SHARE=/usr/share -DMAJORVER=${MAJORVER} -DFULLVER=%{version}
make %{?jobs:-j%jobs}

%install
rm -rf %{buildroot}
%make_install


#################################################
# libscreen_connector_watcher
#################################################
%package -n %{name}_watcher
Summary: Library for developing the screen connector watcher
Group: Applications/Core Applications
License: Apache-2.0

%description -n %{name}_watcher
Provider APIs to develop the screen connector watcher application.

%package -n %{name}_watcher-devel
Summary: Screen connector watcher application development library (dev)
Group: Development/Libraries
Requires: %{name}_watcher

%description -n %{name}_watcher-devel
Header & package configuration files to support development of the widget viewer applications.

%post -n %{name}_watcher -p /sbin/ldconfig
%postun -n %{name}_watcher -p /sbin/ldconfig

%files -n %{name}_watcher
%manifest %{name}_watcher.manifest
%attr(0644,root,root) %{_libdir}/%{name}_watcher.so.*
%license LICENSE

%files -n %{name}_watcher-devel
%{_includedir}/screen_connector_watcher/*.h
%{_libdir}/pkgconfig/screen_connector_watcher.pc
%attr(0644,root,root) %{_libdir}/%{name}_watcher.so


#################################################
# libscreen_connector_provider
#################################################
%package -n %{name}_provider
Summary: Library for developing the screen connector provider
Group: Applications/Core Applications
License: Apache-2.0

%description -n %{name}_provider
Provider APIs to develop the screen connector provider application.

%package -n %{name}_provider-devel
Summary: Screen connector provider application development library (dev)
Group: Development/Libraries
Requires: %{name}_provider

%description -n %{name}_provider-devel
Header & package configuration files to support development of the widget viewer applications.

%post -n %{name}_provider -p /sbin/ldconfig
%postun -n %{name}_provider -p /sbin/ldconfig

%files -n %{name}_provider
%manifest %{name}_provider.manifest
%attr(0644,root,root) %{_libdir}/%{name}_provider.so.*
%license LICENSE

%files -n %{name}_provider-devel
%{_includedir}/screen_connector_provider/*.h
%{_libdir}/pkgconfig/screen_connector_provider.pc
%attr(0644,root,root) %{_libdir}/%{name}_provider.so


#################################################
# libscreen_connector_watcher_evas
#################################################
%package -n %{name}_watcher_evas
Summary: Library for developing the screen connector watcher evas
Group: Applications/Core Applications
License: Apache-2.0

%description -n %{name}_watcher_evas
Provider APIs to develop the widget viewer EFL application.

%package -n %{name}_watcher_evas-devel
Summary: Screen connector watcher evas application development library (dev)
Group: Development/Libraries
Requires: %{name}_watcher_evas

%description -n %{name}_watcher_evas-devel
Header & package configuration files to support development of the widget viewer applications.

%post -n %{name}_watcher_evas -p /sbin/ldconfig
%postun -n %{name}_watcher_evas -p /sbin/ldconfig

%files -n %{name}_watcher_evas
%manifest %{name}_watcher_evas.manifest
%attr(0644,root,root) %{_libdir}/%{name}_watcher_evas.so.*
%license LICENSE

%files -n %{name}_watcher_evas-devel
%{_includedir}/screen_connector_watcher_evas/*.h
%{_libdir}/pkgconfig/screen_connector_watcher_evas.pc
%attr(0644,root,root) %{_libdir}/%{name}_watcher_evas.so


# End of a file
